net.corda.client.jfx.utils

## Class AmountBindings

- net.corda.client.jfx.utils.AmountBindings

-     public class AmountBindings

  Utility bindings for the `class Amount` type, similar in spirit to Bindings

  See Also:
    `class Amount`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AmountBindings` | `INSTANCE` Utility bindings for the `class Amount` type, similar in spirit to Bindings

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.beans.value.ObservableValue<kotlin.Pair>` | `exchange(javafx.beans.value.ObservableValue<java.util.Currency> currency, javafx.beans.value.ObservableValue<net.corda.client.jfx.model.ExchangeRate> exchangeRate)`
    `<T> NonExistentClass` | `sum(javafx.collections.ObservableList<net.corda.core.contracts.Amount> amounts, T token)`
    `javafx.beans.value.ObservableValue<net.corda.core.contracts.Amount>` | `sumAmountExchange(javafx.collections.ObservableList<net.corda.core.contracts.Amount> amounts, javafx.beans.value.ObservableValue<java.util.Currency> currency, javafx.beans.value.ObservableValue<net.corda.client.jfx.model.ExchangeRate> exchangeRate)`

- - ### Field Detail

    - #### INSTANCE

          public static AmountBindings INSTANCE

      Utility bindings for the `class Amount` type, similar in spirit to Bindings

      See Also:
        `class Amount`

  - ### Method Detail

    - #### sum

          public <T> NonExistentClass sum(javafx.collections.ObservableList<net.corda.core.contracts.Amount> amounts,
                                          T token)

    - #### exchange

          public javafx.beans.value.ObservableValue<kotlin.Pair> exchange(javafx.beans.value.ObservableValue<java.util.Currency> currency,
                                                                          javafx.beans.value.ObservableValue<net.corda.client.jfx.model.ExchangeRate> exchangeRate)

    - #### sumAmountExchange

          public javafx.beans.value.ObservableValue<net.corda.core.contracts.Amount> sumAmountExchange(javafx.collections.ObservableList<net.corda.core.contracts.Amount> amounts,
                                                                                                       javafx.beans.value.ObservableValue<java.util.Currency> currency,
                                                                                                       javafx.beans.value.ObservableValue<net.corda.client.jfx.model.ExchangeRate> exchangeRate)